Create Key
curl --request POST \
--url https://api.omi.me/v1/dev/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [
"<string>"
]
}
'import requests
url = "https://api.omi.me/v1/dev/keys"
payload = {
"name": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', scopes: ['<string>']})
};
fetch('https://api.omi.me/v1/dev/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"key": "<string>",
"key_prefix": "<string>",
"name": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Keys
Create Key
Create a new Developer API key with optional scopes.
- name: Descriptive name for the key
- scopes: Optional list of scopes. If not provided, defaults to read-only access.
Available scopes:
- conversations:read
- conversations:write
- memories:read
- memories:write
- action_items:read
- action_items:write
- goals:read
- goals:write
POST
/
v1
/
dev
/
keys
Create Key
Authorizations
Send Authorization: Bearer <firebase_id_token>.
⌘I